-----------------------------------------------
-- Create a Log on the TPC with custom messages
-----------------------------------------------

Log = {} -- Initialise TPC Log table
Log_size = 10 -- Specify the number of messages to display on the TPC (will depend upon orientation and text size)
TPC_Label_Key = "label001" -- Specify the key of the TPC Label to write the log to

function update_log(message) -- function to call to add a message to the log
	table.insert(Log,timestamp() .. message) -- add the new message into the Log table
	if #Log > Log_size then -- test whether the Log is now greater than the maximum size
		table.remove(Log,1) -- If it is, remove the first entry
	end
	output_Log="" -- Initialise the string to output
	for i=1,#Log do -- Iterate through the Log table
		output_Log = output_Log .. Log[i] .. "\n" -- Format the table into a string to display (\n == New Line)
	end
    set_control_caption(TPC_Label_Key,output_Log) -- Set the caption of the TPC label called log to be the log string
end

function timestamp()
	months = {"Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"}
         now = time.get_current_time()
	day = now.monthday
	hour = now.hour
	minute = now.minute
	second = now.second
	if day < 10 then
		day = "0" .. day
	end
	if hour < 10 then
		hour = "0" .. hour
	end
	if minute < 10 then
		minute = "0" .. minute
	end
	if second < 10 then
		second = "0" .. second
	end

	return "[" .. day .. " " .. months[now.month] .. " " .. hour .. ":" .. minute .. ":" .. second .. "] "
end